# HG changeset patch
# User Dan Drogichen <chirp.cordless@xoxy.net>
# Date 1405220728 25200
#      Sat Jul 12 20:05:28 2014 -0700
# Node ID 8fb3d3a31a27187ab5385372f0d1f687ee83179a
# Parent  9bef3191928caec63ffc8ae9398901c9a52a2fd8
[developer] Add info re: hex dump modes to "Diff Radios" dialog - #1753

When the developer tools are enabled and more than one image is loaded in
chirp, selecting View -> Developer -> Diff tabs will open a dialog window
that allows specification of two image/memory# pairs to be bitwise compared.
Within this window, as special cases, selecting -1 as either memory number
will invoke a full-file hex dump with diffs between the two files
highlighted, and -2 as the first invokes a similar dump but with only
the highlighted diffs shown.

This feature is not obvious from the dialog appearance or usual semantics
for memory number. This change adds two lines of text to this dialog window
declaring that this feature exists.

#1753

diff -r 9bef3191928c -r 8fb3d3a31a27 chirpui/mainapp.py
--- a/chirpui/mainapp.py	Tue Jul 08 11:38:36 2014 -0700
+++ b/chirpui/mainapp.py	Sat Jul 12 20:05:28 2014 -0700
@@ -152,6 +152,13 @@
                                 gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL),
                        parent=self)
 
+        label = gtk.Label("")
+        label.set_markup("<b>-1</b> for either Mem # does a full-file hex " +
+                "dump with diffs highlighted.\n" +
+                "<b>-2</b> for first Mem # shows <b>only</b> the diffs.")
+        d.vbox.pack_start(label, True, True, 0)
+        label.show()
+
         choices = []
         for eset in esets:
             choices.append("%s %s (%s)" % (eset.rthread.radio.VENDOR,
